## org.apache.batik.script
Interface InterpreterFactory

All Known Implementing Classes:
  RhinoInterpreterFactory

    public interface InterpreterFactory

An interface for factory objects than can create `Interpreter` instances for a particular script language.

Method Summary
`Interpreter` `createInterpreter(java.net.URL documentURL, boolean svg12)` This method should create an instance of `Interpreter` interface implementation.
`java.lang.String[]` `getMimeTypes()` Returns the mime-types to register this interpereter with.

Method Detail

### getMimeTypes

    java.lang.String[] getMimeTypes()

  Returns the mime-types to register this interpereter with.

### createInterpreter

    Interpreter createInterpreter(java.net.URL documentURL,
                                  boolean svg12)

  This method should create an instance of `Interpreter` interface implementation.

  Parameters:
    `documentURL` - the url for the document which will be scripted
    `svg12` - whether the document is an SVG 1.2 document

Copyright © 2008 Apache Software Foundation. All Rights Reserved.